<?php
function tipovehiculo()
{
	echo "
	<select class='round' name='idnuevo' id='idnuevo' style='width: 80px'>
	<option value='1'>Usado</option>
	<option value='2'>Nuevo</option>
	</select>";
}
function idnuevo()
{
	echo "
	<label style='display: none;' for='idnuevo'>Es 0 Km?</label>
	<select style='display: none;' class='round' name='idnuevo2' id='idnuevo2' style='width: 55px'>
	<option value='1'>NO</option>
	<option value='2'>SI</option>
	</select>";
}
function idmarca()
{
	include("config.php");
	$query = "SELECT idmarca, descripcion from marca order by descripcion";
	$result = mysql_query($query);

	echo "<select class='round' name='idmarca' id='idmarca' style='width: 155px'>";
	echo "<option value=''>Selecciona la marca</option>";
	while($registro=mysql_fetch_array($result))
	{
		echo "<option value='".$registro[0]."'>".$registro[1]."</option>";
	}
	echo "</select>";
}

function idmodelo()
{
	include("config.php");
	$query = "SELECT idmodelo, descripcion FROM modelo order by descripcion";
	$result = mysql_query($query);
	echo "<select class='round' name='idmodelo' id='idmodelo' style='width: 155px'>";
	echo "<option value=''>Selecciona el modelo</option>";
	echo "</select>";
}

function idfabricacion()
{
	echo "<select class='round' name='idfabricacion' id='idfabricacion' style='width: 155px'>";
		$numero = date ("Y");
		echo "<option value=''>Selecciona el a&ntilde;o</option>";
		while($numero>=1995)
			{
				echo "<option value='".$numero."'";
				echo ">".$numero."</option>";
				$numero--;
			} 
	echo "</select>";
}

function fecha()
{
	echo "<select class='round' name='dia' id='dia' style='width: 42px'>";
		$dia = 1;
		while($dia<=31)
			{
				echo "<option value='".$dia."'";
				echo ">".$dia."</option>";
				$dia++;
			} 
	echo "</select>";
	echo "<select class='round' name='mes' id='mes' style='width: 53px'>";
		echo "<option value='1'>Ene</option>";
		echo "<option value='2'>Feb</option>";
		echo "<option value='3'>Mar</option>";
		echo "<option value='4'>Abr</option>";
		echo "<option value='5'>May</option>";
		echo "<option value='6'>Jun</option>";
		echo "<option value='7'>Jul</option>";
		echo "<option value='8'>Ago</option>";
		echo "<option value='9'>Sep</option>";
		echo "<option value='10'>Oct</option>";
		echo "<option value='11'>Nov</option>";
		echo "<option value='12'>Dic</option>";
	echo "</select>";
	echo "<select class='round' name='anio' id='anio' style='width: 58px'>";
		$anio = 1998;
		while($anio>=1910)
			{
				echo "<option value='".$anio."'";
				echo ">".$anio."</option>";
				$anio--;
			} 
}

//variables valores por defecto  

$valorplaca = "";
$valorsa = "";

$validamarca = "";
$validamodelo = "";
$validafab = "";
$validaprecio = "";


//Validacion de datos enviados  
if(isset($_POST['send'])){
	
    if($_POST['idmarca']=='')  
        $validamarca = "error";  	
    if($_POST['idmodelo']=='')  
        $validamodelo = "error";  	
    if($_POST['idfabricacion']=='')  
        $validafab = "error";  	
    if($_POST['precio']=='')  
        $validaprecio = "error";  	

    //Guardamos valores para que no tenga que reescribirlos  
	$valorplaca = $_POST['placa'];
	$valorsa = $_POST['precio'];
	
echo '<script language="JavaScript">'; 
echo 'alert('.$valorplaca.');'; 
echo '</script>'; 

    //Comprobamos si todo ha ido bien  
    if($validamarca != "error" && $validamodelo != "error" && $validafab != "error" && $validaprecio != "error")  
        $status = 1;  

}
?>

<html>
	<head>
		<title>TuSeguroPeru.com</title>
		<link media=all href="estilos2.css" type=text/css rel=stylesheet>
		<script type="text/javascript" src="js/jquery.js"></script>
		<script type="text/javascript">
			function valida(e){
				tecla = (document.all) ? e.keyCode : e.which;

				//Tecla de retroceso para borrar, siempre la permite
				if (tecla==8){
					return true;
				}

				// Patron de entrada, en este caso solo acepta numeros
				patron =/[0-9]/;
				tecla_final = String.fromCharCode(tecla);
				return patron.test(tecla_final);
			}
			function anular(e) {
				  tecla = (document.all) ? e.keyCode : e.which;
				  return (tecla != 13);
			 }

			$(document).ready(function() {

				$('#precio').blur(function()
					{
					var precioactual = $(this).val();
//					alert(precioactual);
					precioactual = precioactual.replace(',','')
					precioactual = parseInt(precioactual);
					var precioanterior = $("#sprecio").val();
					precioanterior = parseInt(precioanterior);
					var valormaximo = $("#preciomaximo").val();
					var valorminimo = $("#preciominimo").val();
					var nuevo = $("#idnuevo").find(':selected').val();
					if (precioactual == precioanterior)
					{
					}
					else
					{
					if (precioactual < valorminimo || precioactual > valormaximo)
					{
						if (nuevo == "2")
						{
							alert('Debe adjuntar boleta o factura para sustentar el precio.');
						}
						else
						{
							alert('Precio no valido.');
							document.getElementById("precio").value = precioanterior;
						}
					}
					else
					{
						document.getElementById("sprecio").value = precioactual;						
					}
					}
					});


				$('#edad').blur(function()
					{
					var edad = $(this).val();
					if (edad < 18 || edad > 90)
					{
						alert("Edad no valida. Rango entre 18 y 90");
						document.getElementById("edad").value = "18";
					}
					});
				$("#idnuevo").change(function(event)
					{
						var valor = $(this).find(':selected').val();
						var anio = $("#idfabricacion").find(':selected').val();
						var fechaActual = new Date();
						var anioactual = fechaActual.getFullYear();
						if (anio == "") {anio = anioactual;}
						var antiguedad = anioactual - anio;
						if (antiguedad > 1)
						{
							document.getElementById("idnuevo").value = "1";
						}
						//$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=modelos&idmarca='+idmarca+'&valor=0');
					});

				/* COMBOBOX */
				
				$("#idmarca").change(function(event)
					{
						var idmarca = $(this).find(':selected').val();
						$("#pidmodelo").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=modelos&idmarca='+idmarca+'&valor=0');
					});

				$("#idmarca").live("change",function(event)
					{
						var idmarca = $(this).find(':selected').val();
						$("#pidmodelo").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=modelos&idmarca='+idmarca+'&valor=0');
					});				
				$("#idmodelo").live("change",function(event)
					{
						obtenerprecio();
					});
				$("#idfabricacion").live("change",function(event)
					{
						obtenerprecio();
					});
		});
		</script>
	</head>
<body>

	<?php if(!isset($status)): ?>  

	<form method="post" name="formulario" action="CotizacionVehicularTSP.php">
		<table class="roundTable" style="padding-top: 10px; padding-bottom: 5px; margin: 0 auto; border: white 1px solid; color:#424E8A; font: 80% Arial; background-color:#F0D6FF; padding-left: 5px; padding-right: 5px; opacity: 0.9;">
			<tr>
				<td colspan="3" style="font: bold 140% Arial; border: black 1px; text-align:center; color: red">
					<p>Cotiza t&uacute; seguro en l&iacute;nea</p>
				</td>
			</tr>
			<tr>
				<td>
					<label for="placa">Placa:</label>
				</td>
				<td colspan="2" id="pplaca">
					<?php tipovehiculo(); ?>
					<input type="text" onBlur="buscar_placa()" onkeypress="return anular(event)" class="round" id="placa" name="placa" maxlength="6" size="5" placeholder="Placa" value="<?php echo $valorplaca ?>">
				</td>
			</tr>

			<tr>
				<td>
					<label for="marca">Marca:</label>
				</td>
				<td colspan="2" id="pidmarca">
					<?php idmarca(); ?>
				</td>
			</tr>
			<tr>
				<td>
					<label for="modelo">Modelo:</label>
				</td>
				<td colspan="2" id="pidmodelo">
					<?php idmodelo(); ?>
				</td>
			</tr>
			<tr>
				<td>
					<label for="fabricacion">A&ntilde;o de fabricaci&oacute;n:</label>
				</td>
				<td colspan="2" id="pidfabricacion">
					<?php idfabricacion(); ?>
				</td>
			</tr>

			<tr>
				<td>
					<label for="precio">Suma asegurada:</label>
				</td>
				<td colspan="2">
<!--					<input type="text" class="round" onkeypress="return anular(event)" id = "precio" name="precio" maxlength="6" size="17" placeholder="Suma asegurada US$" value="<?php echo $valorsa ?>">-->
					<input type='text' class='round' size='1' id='moneda' name='moneda' value='US$'/readonly>
					<input type='text' class='round' onkeypress='return anular(event)' maxlength="6" size='8' id='precio' name='precio' placeholder='Suma asegurada US$' value=''>
					<span id="pprecio"><img src='picture_library/informacion.png' title='Maximo: US$60,000| Minimo: US$ '></span>

				</td>
			</tr>
			<tr>
				<td>
					<label for="edad">Edad del titular:</label>
				</td>
				<td id="pedad">
					<input type="text" class="round" onkeypress="return valida(event)" id = "edad" name="edad" maxlength="2" size="1" placeholder="Edad" value="18">
				</td>
				<td id="pnuevo">
					<?php idnuevo(); ?>
				</td>
			</tr>
			<tr>
				<td colspan="3" style="border: black 1px; text-align:center;">
					<p><input type="submit" name="submit" value="" style='border:0; width:143px; height:40px; background:url(picture_library/BOTON_COTIZAR.png)' /></p>
				</td>
			</tr>

		</table>
		<table>
			<tr>
				<td>
					<p id="rimac"></p>
					<p id="positiva"></p>
				</td>
			</tr>
		</table>
	</form>

	<?php else: ?>  
		<?php	include("CotizacionVehicularTSP.php"); ?> 
	<?php endif; ?>

	<script type="text/javascript">
	function obtenerprecio()
		{
			var idmodelo = $("#idmodelo").find(':selected').val();
			var aniofab = $("#idfabricacion").find(':selected').val();
			var idnuevo = $("#idnuevo").find(':selected').val();			
			var fecha = new Date();
			var anioactual = fecha.getFullYear();
			var aniofab2 = anioactual - aniofab
			$("#pprecio").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pprecio").load('cargar_datos_seguro_vehicular.php?buscar=precio&idmodelo='+idmodelo+'&aniofab='+aniofab2+'&nuevo='+idnuevo);
			//$("#pnuevo").load('cargar_datos_seguro_vehicular.php?buscar=nuevo&idanio='+aniofab2);
		}
	function buscar_placa()
		{
			var placa = document.getElementById("placa").value;
			var idnuevo = $("#idnuevo").find(':selected').val();
			$("#pidmarca").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pidmarca").load('cargar_datos_seguro_vehicular.php?buscar=placamarca&placa='+placa);
			
			$("#pidmodelo").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pidmodelo").load('cargar_datos_seguro_vehicular.php?buscar=placamodelo&placa='+placa);
			
			$("#pidfabricacion").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pidfabricacion").load('cargar_datos_seguro_vehicular.php?buscar=placaanio&placa='+placa);
			
			$("#pprecio").html("<img src='picture_library/loading2.gif'width='30px' />");
			$("#pprecio").load('cargar_datos_seguro_vehicular.php?buscar=placav&placa='+placa+'&nuevo='+idnuevo);
		}
	</script>
<div class="links" style="display:none;"> 
	</div></body>
</html>